import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdThirdPartyParamRecord } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-20 13:55
 */
interface AdThirdPartyParamRecordCU extends ConditionUtil<AdThirdPartyParamRecordCU> {
    PARAM: FieldUtil<AdThirdPartyParamRecordCU>;
    CONTENT: FieldUtil<AdThirdPartyParamRecordCU>;
    PARTNER: FieldUtil<AdThirdPartyParamRecordCU>;
    CREATE_TIME: FieldUtil<AdThirdPartyParamRecordCU>;
}
declare class AdThirdPartyParamRecordMU extends TableUtilImpl<AdThirdPartyParamRecordCU, AdThirdPartyParamRecord> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdThirdPartyParamRecordCU;
    static get PARAM(): FieldUtil<AdThirdPartyParamRecordCU>;
    static get CONTENT(): FieldUtil<AdThirdPartyParamRecordCU>;
    static get PARTNER(): FieldUtil<AdThirdPartyParamRecordCU>;
    static get CREATE_TIME(): FieldUtil<AdThirdPartyParamRecordCU>;
    get PARAM(): FieldUtil<AdThirdPartyParamRecordCU>;
    get CONTENT(): FieldUtil<AdThirdPartyParamRecordCU>;
    get PARTNER(): FieldUtil<AdThirdPartyParamRecordCU>;
    get CREATE_TIME(): FieldUtil<AdThirdPartyParamRecordCU>;
}
export { AdThirdPartyParamRecordMU, AdThirdPartyParamRecordCU };
